spoonity logo
    • API
    • Documentation
    • Support
    • Getting Started

      • Introduction
      • Authentication
      • Handling Errors
      • Webhooks
    • Workflows

      • Placing an order
      • Retrieving a list of checked-in users
      • Registering an account
      • Working with user profiles
      • Reloading an account
    • Resources

      • Billing Profile
      • Card
      • Content
      • Country & Region
      • EGift
      • OnScreen
      • Order
      • User
      • Balances & Rewards
      • Transaction History
      • Inbox
        • Retrieve a list of messagesGET
        • Update a messagePUT
        • Get message contentGET
      • Spending Rules
    • Sign in

    Inbox

    Messages sent to a user for promotional purposes to be rendered inside a customer interface.


    GET/user/messages/list

    Retrieve a list of messages

    This request returns a list of all messages linked to a specific user. The internal reference numbers for each user message can be found here, which allows a specific message to be accessed at a later time.

    Query parameters

    • Name
      session_key
      Type
      string
      Description

      Session token for an end-customer.

    Response attributes

    • Name
      user_message_id
      Type
      integer
      Description

      An internal reference number that links the message to this specific user.

    • Name
      user_id
      Type
      string
      Description

      An internal reference number unique to each user.

    • Name
      message
      Type
      string
      Description

      An object that contains information about this message.

    • Name
      read
      Type
      boolean
      Description

      A boolean indicating if this message has been read by this user.

    Request

    GET
    /user/message/list
    curl -G https://api.spoonity.com/user/message/list?session_key={session_key}
    

    Response

      [
          {
              "user_message_id": 3296353,
              "user_id": 582846,
              "vendor_id": 1,
              "message": {
                  "message_id": 995,
                  "title": "test env",
                  "subtitle": null,
                  "banner": null,
                  "body": "<!DOCTYPE html>\n<html>\n<head>\n</head>\n<body>\n<p>test env content</p>\n</body>\n</html>",
                  "publish_date": 1587684453,
                  "expiry_date": null
              },
              "read": false
          }
      ]
    

    PUT/user/message

    Update a message

    This request is used to update the details of a specific message linked to a user's account. Specifically, it can be used to delete a message via the status_id, or to mark a message as read by this user.

    Query parameters

    • Name
      session_key
      Type
      string
      Description

      Session token for an end-customer.

    Required attributes

    • Name
      user_message
      Type
      integer
      Description

      The internal reference number that refers to the desired message as it is linked to the user's account.

    • Name
      status_id
      Type
      string
      Description

      An internal reference number that indicates the current status of this user message.

    Optional attributes

    • Name
      read
      Type
      boolean
      Description

      Indicates if this message has been read by the user.

    Response attributes

    • Name
      user_message_id
      Type
      integer
      Description

      An internal reference number that links the message to this specific user.

    • Name
      user_id
      Type
      string
      Description

      An internal reference number unique to each user.

    • Name
      message
      Type
      string
      Description

      An object that contains information about this message.

    • Name
      read
      Type
      boolean
      Description

      A boolean indicating if this message has been read by this user.

    Request

    PUT
    /user/message
    curl -G https://api.spoonity.com/user/message \
    -d '{
        "user_message": 3296353,
        "status_id": 1,
        "read": true
    }'
    

    Response

    [
        {
            "user_message_id": 3296353,
            "user_id": 582846,
            "vendor_id": 1,
            "message": {
                "message_id": 995,
                "title": "test env",
                "subtitle": null,
                "banner": null,
                "body": "<!DOCTYPE html>\n<html>\n<head>\n</head>\n<body>\n<p>test env content</p>\n</body>\n</html>",
                "publish_date": 1587684453,
                "expiry_date": null
            },
            "read": true
        }
    ]
    

    GET/user/message

    Get message content

    This request returns a specific message as it is linked to a user's account. The user session key that was generated with the user_authenticate request and the reference number for the desired user_message are both required.

    Query parameters

    • Name
      session_key
      Type
      string
      Description

      Session token for an end-customer.

    • Name
      user_message
      Type
      integer
      Description

      Must match the user message id of the desired user message to be viewed.

    Response attributes

    • Name
      user_message_id
      Type
      integer
      Description

      An internal reference number that links the message to this specific user.

    • Name
      user_id
      Type
      string
      Description

      An internal reference number unique to each user.

    • Name
      message
      Type
      string
      Description

      An object that contains information about this message.

    • Name
      read
      Type
      boolean
      Description

      A boolean indicating if this message has been read by this user.

    Request

    GET
    /user/message
    curl -G https://api.spoonity.com/user/message?session_key={session_key}&user_message=3296353
    

    Response

    {
        "user_message_id": 3296353,
        "user_id": 582846,
        "vendor_id": 1,
        "message": {
            "message_id": 995,
            "title": "test env",
            "subtitle": null,
            "banner": null,
            "body": "<!DOCTYPE html>\n<html>\n<head>\n</head>\n<body>\n<p>test env content</p>\n</body>\n</html>",
            "publish_date": 1587684453,
            "expiry_date": null
        },
        "read": true
    }
    

    Was this page helpful?

    PreviousTransaction History
    NextSpending Rules

    © Copyright 2026 Spoonity, Inc. All rights reserved.